c++-gtk-utils

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Cgu::RemoveRefCond< T, unref > Class Template Reference

Struct which will conditionally convert a reference type to a value type. More...

`#include <c++-gtk-utils/param.h>`

## Detailed Description

### template<class T, bool unref>
class Cgu::RemoveRefCond< T, unref >

Struct which will conditionally convert a reference type to a value type.

This struct is used by Callback::make() and Callback::make_ref() where the std::tuple backend is not used to implement the callback classes, so that where a call is made to Callback::make_ref() and the target function's arguments include one with a reference, that reference is removed.

Since 2.0.0-rc3

The documentation for this class was generated from the following file:

- param.h